Bug 1257080 - It will take a long while to exit from container after login via `oc exec`
It will take a long while to exit from container after login via `oc exec`
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Fabiano Franz
Yan Du
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 05:07 EDT by Meng Bo
Modified: 2016-05-12 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:15:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2015-08-26 05:07:43 EDT
Description of problem:
Login to the container via oc exec with interactive mode, and when trying to exit from the container it will take a long while. (Over 20 seconds)

Version-Release number of selected component (if applicable):
oc v1.0.5-25-ga16d9c8
kubernetes v1.1.0-alpha.0-1605-g44c91b1


How reproducible:
always

Steps to Reproduce:
1. Create pod which can be logged in with bash
$ oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/authorization/scc/pod_requests_nothing.json
2. Login to the pod
$ oc exec pod1 -it /bin/bash
3. Do anything in the container, eg `ls`
4. Exit the container 
$ exit

Actual results:
It will take over 20 seconds to exit the container.

Expected results:
Should not hang there so long.

Additional info:
Use `oc rsh` to login to container will also have this problem.
And both `docker exec` and `nsenter` can exit from the container immediately.
Comment 1 Fabiano Franz 2016-01-11 12:15:27 EST
Fixed in master.
Comment 2 Meng Bo 2016-01-13 02:08:28 EST
Not an issue anymore.

oc v1.1-766-g2eb4afc

Note You need to log in before you can comment on or make changes to this bug.